Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hamcrest.collection
Class IsArray<T>

    java.lang.Object
      org.hamcrest.BaseMatcher<T>
          org.hamcrest.TypeSafeMatcher<T[]>
              org.hamcrest.collection.IsArray<T>

All Implemented Interfaces:
  Matcher<T[]>, SelfDescribing

    public class IsArray<T>

extends TypeSafeMatcher<T[]>

Constructor Summary
`IsArray(Matcher<T>[] elementMatchers)`

Method Summary
`static
`<T> IsArray<T>`
` | `array(Matcher<T>... elementMatchers)`
`void` | `describeTo(Description description)` Generates a description of the object.
`protected String` | `descriptionEnd()` Returns the string that ends the description.
`protected String` | `descriptionSeparator()` Returns the string that separates the elements in the description.
`protected String` | `descriptionStart()` Returns the string that starts the description.
`boolean` | `matchesSafely(T[] array)` Subclasses should implement this.

Methods inherited from class org.hamcrest.TypeSafeMatcher
`matches`

Methods inherited from class org.hamcrest.BaseMatcher
`_dont_implement_Matcher___instead_extend_BaseMatcher_, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IsArray

    public IsArray(Matcher<T>[] elementMatchers)

Method Detail

### matchesSafely

    public boolean matchesSafely(T[] array)

  Description copied from class: `TypeSafeMatcher`
  Subclasses should implement this. The item will already have been checked for the specific type and will never be null.

  Specified by:
    `matchesSafely` in class `TypeSafeMatcher<T[]>`

### describeTo

    public void describeTo(Description description)

  Description copied from interface: `SelfDescribing`
  Generates a description of the object. The description may be part of a a description of a larger object of which this is just a component, so it should be worded appropriately.

  Parameters:
    `description` - The description to be built or appended to.

### descriptionStart

    protected String descriptionStart()

  Returns the string that starts the description. Can be overridden in subclasses to customise how the matcher is described.

### descriptionSeparator

    protected String descriptionSeparator()

  Returns the string that separates the elements in the description. Can be overridden in subclasses to customise how the matcher is described.

### descriptionEnd

    protected String descriptionEnd()

  Returns the string that ends the description. Can be overridden in subclasses to customise how the matcher is described.

### array

    public static <T> IsArray<T> array(Matcher<T>... elementMatchers)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD